//
//  UserInforMation.m
//  Palmwms
//
//  Created by 曹云霄 on 16/8/24.
//  Copyright © 2016年 上海勾芒科技有限公司. All rights reserved.
//

#import "UserInforMation.h"

@implementation UserInforMation


static UserInforMation *user = nil;
+ (UserInforMation *)manager
{
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        user = [[UserInforMation alloc]init];
    });
    return user;
}

+ (id)allocWithZone:(struct _NSZone *)zone
{
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
       user = [super allocWithZone:zone];
    });
    return user;
}

@end




